from typing import Any

from pdf_invoice_reader_common.interface import BankVoucher, Field, Invoice

from .model import Model


class ModelMock(Model):
    def predict_invoice(self, image_file: Any) -> Invoice:
        return Invoice(kid=Field(value="123", confidence=0.8))

    def predict_bankvoucher(self, image_file: Any) -> BankVoucher:
        return BankVoucher(message=Field(value="123", confidence=0.8))
