from abc import ABC, abstractmethod
from typing import Generic, TypeVar

T = TypeVar("T")  # pylint: disable=C0103


class Validator(ABC, Generic[T]):
    @abstractmethod
    def validate(self, input_str: T) -> bool:
        """This is a validator for single fields"""
