# YOLOv3 trained on invoice images

## Installation
##### Clone and install requirements
    $ git clone https://github.com/Sigurd-og-Brage-sitt-bachelorprosjekt/Yolov3
    $ cd YOLOv3/
    $ sudo pip3 install -r requirements.txt

### train
`python3 train.py --model_def config/yolov3-tiny.cfg --data_config config/custom.data --epochs 10 --img_size 1030 --max_files 10000`

### detect
`python3 detect.py --weights_path checkpoints/latest_9.pth  --img_size 1380 --data_config config/custom_test.data`

### example images
Can be seen in [https://github.com/Sigurd-og-Brage-sitt-bachelorprosjekt/docs/blob/main/Technical%20memos.md#Yolov3-main)](https://github.com/Sigurd-og-Brage-sitt-bachelorprosjekt/docs/blob/main/Technical%20memos.md#Yolov3-main)

## Credit
Fork of [https://github.com/eriklindernoren/PyTorch-YOLOv3](https://github.com/eriklindernoren/PyTorch-YOLOv3)
	