import os

import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

print(setuptools.find_packages())

root_path = os.path.dirname(os.path.abspath(__file__))
setuptools.setup(
    name="yolov3",
    version="0.0.1",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="github.com/sigurd-og-Brage-sitt-bachelorprosjekt",
    packages=setuptools.find_packages(),
    python_requires=">=3.8",
    package_data={"data": [os.path.join(root_path, "yolov3/config/*")]},
)
