def json_flaten(fields_dict, prefix_key_name=""):
    keys = {}
    for key, value in fields_dict.items():
        resolve_key = lambda key, prefix_key_name: key if key not in keys else prefix_key_name + key
        if isinstance(value, (str, float, int)):
            keys[resolve_key(key, prefix_key_name)] = value
        elif isinstance(value, dict):
            for child_key, child_value in json_flaten(
                value, prefix_key_name="{prefix_key_name}{key}".format(prefix_key_name=prefix_key_name, key=key)
            ).items():
                keys[resolve_key(child_key, key)] = child_value
        elif value is None:
            keys[resolve_key(key, prefix_key_name)] = value
        else:
            raise Exception("not implemeneted flatting for type {}".format(type(value)))
    return keys
