import graphene

from .file_upload import UploadBankVoucherMutation, UploadInvoiceMutation


class Query(graphene.ObjectType):
    hello = graphene.String(description="A typical hello world")

    def resolve_hello(self, info: graphene.ResolveInfo) -> str:  # pylint: disable=W0613
        return "hello"


class Mutations(graphene.ObjectType):
    UploadBankVoucher = UploadBankVoucherMutation.Field()
    UploadInvoice = UploadInvoiceMutation.Field()


schema = graphene.Schema(query=Query, mutation=Mutations)
